# Documentation

Menu

## RGBArrayModuleValueTrait

RGBArrayModuleValueTrait.php : 19

Module value checks for output classes that use RGB color arrays

### Table of Contents

#### Methods

moduleValueIsValid() : bool
  implements \chillerlan\QRCode\Output\QROutputInterface::moduleValueIsValid()
getDefaultModuleValue() : array<string|int, int>
  implements \chillerlan\QRCode\Output\QROutputAbstract::getDefaultModuleValue()
prepareModuleValue() : array<string|int, int>
  implements \chillerlan\QRCode\Output\QROutputAbstract::prepareModuleValue()

### Methods

#### moduleValueIsValid()

RGBArrayModuleValueTrait.php : 26

implements \chillerlan\QRCode\Output\QROutputInterface::moduleValueIsValid()

`public static moduleValueIsValid(array<string|int, int> $value) : bool`

##### Parameters

$value : array<string|int, int>

##### Return values

bool

#### getDefaultModuleValue()

RGBArrayModuleValueTrait.php : 80

implements \chillerlan\QRCode\Output\QROutputAbstract::getDefaultModuleValue()

`protected getDefaultModuleValue(bool $isDark) : array<string|int, int>`

##### Parameters

$isDark : bool

##### Return values

array<string|int, int>

#### prepareModuleValue()

RGBArrayModuleValueTrait.php : 56

implements \chillerlan\QRCode\Output\QROutputAbstract::prepareModuleValue()

`protected prepareModuleValue(array<string|int, int> $value) : array<string|int, int>`

##### Parameters

$value : array<string|int, int>

##### Tags

throws
  QRCodeOutputException

##### Return values

array<string|int, int>

## Search results